Skip to main content
GET
/
v0
/
budgets
/
{budget_id}
Get Budget
curl --request GET \
  --url https://api.sumvin.com/v0/budgets/{budget_id}
{
  "_links": {},
  "budget": {
    "id": "<string>",
    "name": "<string>",
    "original_request": "<string>",
    "category_name": "<string>",
    "budget_type": "weekly",
    "limit_amount": "<string>",
    "currency": "<string>",
    "spent": "<string>",
    "remaining": "<string>",
    "daily_avg": "<string>",
    "period_start": 123,
    "period_end": 123,
    "created_at": 123,
    "updated_at": 123,
    "transactions": [
      {
        "transaction_id": "<string>",
        "amount": "<string>",
        "amount_in_budget_currency": "<string>",
        "timestamp": 123,
        "running_total": "<string>"
      }
    ]
  }
}

Headers

x-juno-orgid
string | null

Tenant org ID for multi-tenant auth

x-sumvin-token
string | null
x-juno-jwt
string | null

Path Parameters

budget_id
string
required

Query Parameters

expand
string[]

Expand related resources. Options: transactions

Response

Budget retrieved successfully

HAL-style hypermedia links for navigation and available actions.

budget
BudgetData · object
required